* use the correct plugin interface version number
[olsrd.git] / lib / nameservice / src / olsrd_plugin.c
index 00d6405..ea7506d 100644 (file)
@@ -29,7 +29,7 @@
  *
  */
 
-/* $Id: olsrd_plugin.c,v 1.13 2007/07/02 10:59:12 bernd67 Exp $ */
+/* $Id: olsrd_plugin.c,v 1.14 2007/07/15 17:41:33 bernd67 Exp $ */
 
 /*
  * Dynamic linked library for olsr.org olsrd
@@ -45,6 +45,7 @@
 #define PLUGIN_VERSION "0.3"
 #define PLUGIN_AUTHOR   "Bruno Randolf, Jens Nachtigall, Sven-Ola"
 #define MOD_DESC PLUGIN_NAME " " PLUGIN_VERSION
+#define PLUGIN_INTERFACE_VERSION 4
 
 
 static void __attribute__ ((constructor)) 
@@ -56,7 +57,7 @@ my_fini(void);
 int 
 olsrd_plugin_interface_version(void)
 {
-       return OLSRD_PLUGIN_INTERFACE_VERSION;
+       return PLUGIN_INTERFACE_VERSION;
 }
 
 int